{"id":23933,"date":"2020-07-09T07:34:16","date_gmt":"2020-07-09T06:34:16","guid":{"rendered":"https:\/\/developer.kore.ai\/v8-0\/?p=23933"},"modified":"2021-03-25T12:32:55","modified_gmt":"2021-03-25T12:32:55","slug":"data-insert-bulk-api","status":"publish","type":"post","link":"https:\/\/developer.kore.ai\/v8-0\/docs\/bots\/api-guide\/data-insert-bulk-api\/","title":{"rendered":"Data Insert (Bulk) API"},"content":{"rendered":"<section class=\"l-section wpb_row height_auto\"><div class=\"l-section-h i-cf\"><div class=\"g-cols vc_row type_default valign_top\"><div class=\"vc_col-sm-12 wpb_column vc_column_container\"><div class=\"vc_column-inner\"><div class=\"wpb_wrapper\">\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<p>Used to insert bulk data into Data Table.<\/p>\n<p class=\"note\">To use this API, the app needs to be given Write access to the Data Table from the Data Definition in DaaS (<a href=\"\/docs\/bots\/advanced-topics\/data-as-a-service\/#Assignments\" target=\"_blank\" rel=\"noopener noreferrer\">see here for details<\/a>)<\/p>\n<p><b>POST<\/b> <span style=\"font-weight: 400\"><code>https:\/\/{{host}}\/api\/public\/tables\/{{tableName}}\/bulk<\/code><\/span><\/p>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Query_Parameters\">Query Parameters<\/span><\/h3>\n<table>\n<thead>\n<tr>\n<th>Parameter<\/th>\n<th>Description<\/th>\n<\/tr>\n<\/thead>\n<tbody>\n<tr>\n<td><span style=\"font-weight: 400\">host<\/span><\/td>\n<td><span style=\"font-weight: 400\">Environment URL, for example, <code>https:\/\/bots.kore.ai<\/code><\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400\">tableName<\/span><\/td>\n<td><span style=\"font-weight: 400\">Name of the table to insert bulk data<\/span><\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Body_Parameters\">Body Parameters<\/span><\/h3>\n<table>\n<thead>\n<tr>\n<th>Parameter<\/th>\n<th>Description<\/th>\n<\/tr>\n<\/thead>\n<tbody>\n<tr>\n<td>data<\/td>\n<td>Array of objects with the column_name: value pairing<\/p>\n<pre>\"data\": [\r\n    {\r\n        \"&lt;col1_name&gt;\": \"&lt;value1&gt;\",\r\n        \"&lt;col2_name&gt;\": \"&lt;value2&gt;\",\r\n      },\r\n     { \r\n         \"&lt;col1_name&gt;\": \"&lt;value1&gt;\", \r\n         \"&lt;col2_name&gt;\": \"&lt;value2&gt;\", \r\n      }\r\n   ]<\/pre>\n<\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Authorization\">Authorization<\/span><\/h3>\n<p>Invoke the API with JWT in the header with the following syntax:<\/p>\n<p><code>auth: {{JWT}}<\/code><\/p>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Response_content_type\">Response content type<\/span><\/h3>\n<p><code>application\/json<\/code><\/p>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Sample_Request\">Sample Request<\/span><\/h3>\n<pre>curl -X POST \\\r\n  http:\/\/{{host}}\/api\/public\/tables\/{{tableName}} \\\r\n  -H 'auth: {{<em>YOUR_JWT_ACCESS_TOKEN}}<\/em>' \\\r\n  -H 'content-type: application\/json' \\\r\n  -d '{\r\n      \"data\": [\r\n         {\r\n          \"First_Name\": \"Jane\",\r\n          \"Last_Name\": \"Smith\",\r\n          \"Gender\": \"female\",\r\n          \"Number\": 263\r\n         },\r\n         { \r\n           \"First_Name\": \"Mike\", \r\n           \"Last_Name\": \"Mike\", \r\n           \"Gender\": \"male\", \r\n           \"Number\": 234 \r\n         }\r\n       ]\r\n     }'<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Sample_Response\">Sample Response<\/span><\/h3>\n<pre>{\r\n\"records\": [\r\n  {\r\n    \"First_Name\": \"Jane\",\r\n    \"Last_Name\": \"Smith\",\r\n    \"Gender\": \"female\",\r\n    \"Number\": 263,\r\n    \"Updated_On\": \"2020-03-28T07:02:09.652Z\",\r\n    \"Created_On\": \"2020-03-28T07:02:09.652Z\",\r\n    \"Updated_By\": \"st-98e05480-0257-5e35-b6d2-66a323834f9d\",\r\n    \"Created_By\": \"st-98e05480-0257-5e35-b6d2-66a323834f9d\",\r\n    \"sys_Id\": \"sys-545dae21-8675-5a95-9c1b-a223bc6f4bc8\"\r\n  },\r\n  { \"First_Name\": \"Mike\", \r\n    \"Last_Name\": \"Mike\", \r\n    \"Gender\": \"male\", \r\n    \"Number\": 234, \r\n    \"Updated_On\": \"2020-03-28T07:02:09.652Z\", \r\n    \"Created_On\": \"2020-03-28T07:02:09.652Z\", \r\n    \"Updated_By\": \"st-98e05480-0257-5e35-b6d2-66a323834f9d\", \r\n    \"Created_By\": \"st-98e05480-0257-5e35-b6d2-66a323834f9d\", \r\n    \"sys_Id\": \"sys-545dae21-8675-5a95-9c1b-a223bc6f4bc8\" \r\n   }\r\n]\r\n}<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div><\/div><\/div><\/div><\/div><\/div><\/section>\n","protected":false},"excerpt":{"rendered":"Used to insert bulk data into Data Table. To use this API, the app needs to be given Write access to the Data Table from the Data Definition in DaaS (see here for details) POST https:\/\/{{host}}\/api\/public\/tables\/{{tableName}}\/bulk Query Parameters Parameter Description host Environment URL, for example, https:\/\/bots.kore.ai tableName Name of the table to insert bulk data...","protected":false},"author":1,"featured_media":0,"comment_status":"open","ping_status":"open","sticky":false,"template":"","format":"standard","meta":{"footnotes":""},"categories":[17],"tags":[],"class_list":["post-23933","post","type-post","status-publish","format-standard","hentry","category-api-guide"],"_links":{"self":[{"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/posts\/23933","targetHints":{"allow":["GET"]}}],"collection":[{"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/posts"}],"about":[{"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/types\/post"}],"author":[{"embeddable":true,"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/users\/1"}],"replies":[{"embeddable":true,"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/comments?post=23933"}],"version-history":[{"count":4,"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/posts\/23933\/revisions"}],"predecessor-version":[{"id":26895,"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/posts\/23933\/revisions\/26895"}],"wp:attachment":[{"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/media?parent=23933"}],"wp:term":[{"taxonomy":"category","embeddable":true,"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/categories?post=23933"},{"taxonomy":"post_tag","embeddable":true,"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/tags?post=23933"}],"curies":[{"name":"wp","href":"https:\/\/api.w.org\/{rel}","templated":true}]}}